### Method

# AppStream Component insert_custom_value

since: 0.10.5

#### Declaration [src]

    gboolean
    as_component_insert_custom_value (
      AsComponent* cpt,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Add a key and value pair to the custom data table.

Available since: 0.10.5

#### Parameters

`key`

  Type: `const gchar*`

  Key name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  A string value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the key did not exist yet.